import { Route } from '@angular/router';

import { ListComponent } from './components/list.component';
import { RecommendationListComponent } from './components/recommendation-list.component';

import { PartnersResolver } from './resolvers/partner.resolver';

export const partnerRoutes: Route[] = [
  // {
  //   path: '',
  //   pathMatch: 'full',
  //   redirectTo: 'all',
  // },
  {
    path: '',
    component: ListComponent,
    resolve: {
      Partners: PartnersResolver,
    },
  },
  {
    path: '',
    component: RecommendationListComponent,
    resolve: {
      Partners: PartnersResolver,
    },
  },
];
